Bug 50834 - E100 driver exhibits poor performance in IA64 systems
Summary: E100 driver exhibits poor performance in IA64 systems
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 19:31 UTC by Clay Cooper
Modified: 2007-04-18 16:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-13 13:58:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Clay Cooper 2001-08-03 19:31:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; m18)
Gecko/20010131 Netscape6/6.01

Description of problem:
On a pe7150 w/ fairfax beta3 installed, bios X15, onboard nic controlled by
e100 driver.

Nttcp-1.46 run between client and e100 controlled onboard nic on IA64
platform consistently reports speeds of 25-45MB/s on a 100MB network
connection.

Eepro100 on IA64 fails completely (see bug 50829)

Both the e100 and eepro100 driver when run on an I386 platform against the
same client produce speeds of 90-95MB/s on a 100MB network.

So:

                 IA64                    I386
e100             25-45MB/s               90-95MB/s
eepro100         Dies                    90-95MB/s

How reproducible:
Always

Steps to Reproduce:
1.Install fairfax beta3 on pe7150 w/ e100 controlling onboard nic
2.Start nttcp-1.46 between client and onboard on a 100MB network
3.Observe speed.
	

Actual Results:  Speeds of 25-45MB/s		

Expected Results:  Speeds of 90-95MB/s

Additional info:

Comment 1 Matt Domsch 2001-08-10 18:04:39 UTC
Bug reported to Intel (Walker, Timothy E [timothy.e.walker@intel.com]) on 10 
August 2001.  Tim said he'd pass this on for investigation by the appropriate 
driver team.

Comment 2 Need Real Name 2001-08-16 10:50:09 UTC
What is the e100 driver version?

Comment 3 Clay Cooper 2001-08-16 12:42:26 UTC
E100 version 1.6.5, in the beta3 IA64 kernel (2.4.6-3.1)

Comment 4 Michael K. Johnson 2001-09-26 23:29:43 UTC
1) Would be interesting to know if eepro100 still dies on these systems
2) RC1 has a new version of the e100 driver that you can test

Comment 5 Clay Cooper 2001-10-08 14:53:56 UTC
E100 performance has not improved with kernel 2.4.9-0.18smp.

Comment 6 Matt Domsch 2001-10-17 19:31:30 UTC
Which I believe has e100 driver v1.6.22.  I've asked that this be included in 
the Dell/RH/Intel 3-way call (which isn't on for this week after all).  Does 
anyone know if Intel is actively working this issue?

Comment 7 Michael K. Johnson 2001-11-08 16:11:56 UTC
The problem here is swiommu performance -- the swiommu is a hack which
doesn't actually perform very well at all.  We are working on a patch
which gives the same functionality as swiommu with much higher performance
and our initial tests look very good, with some bugs still to be worked
out.

Comment 8 Clay Cooper 2001-11-13 13:58:11 UTC
w/ qa1108 (2.4.9-13.3smp) e100 driven nics reporting speeds of 95MB/s sustained
running nttcp.

Comment 9 Arjan van de Ven 2001-12-03 14:10:17 UTC
95Mbit sustained sounds like fixed to me...


Note You need to log in before you can comment on or make changes to this bug.